FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Fl_Round_Button Class Reference

Buttons generate callbacks when they are clicked by the user. More...

`#include <Fl_Round_Button.H>`

Inheritance diagram for Fl_Round_Button:

List of all members.

## Public Member Functions
| Fl_Round_Button (int x, int y, int w, int h, const char *l=0)
| Creates a new Fl_Round_Button widget using the given position, size, and label string.

## Detailed Description

Buttons generate callbacks when they are clicked by the user.

You control exactly when and how by changing the values for type() and when().

The Fl_Round_Button subclass display the "on" state by turning on a light, rather than drawing pushed in. The shape of the "light" is initially set to FL_ROUND_DOWN_BOX. The color of the light when on is controlled with selection_color(), which defaults to FL_FOREGROUND_COLOR.

The documentation for this class was generated from the following files:

- Fl_Round_Button.H
- Fl_Round_Button.cxx